#version 330 core
layout (location = 0) in vec2 aPosition;
layout (location = 1) in float vertexValue;
uniform mat4 transformation;
out float fragmentValue;
void main() {
	fragmentValue = vertexValue;
	gl_Position = transformation * vec4(aPosition, 0.0, 1.0);
}